## ardour 8.10.0+ds

=== libs/ardour/wscript ===
#!/usr/bin/env python
from waflib.extras import autowaf as autowaf
from waflib import Options, Task
import os
import re

# default state file version for this build
CURRENT_SESSION_FILE_VERSION = 7003

I18N_PACKAGE = 'ardour'

libardour_sources = [
        'amp.cc',
        'analyser.cc',
        'analysis_graph.cc',
        'async_midi_port.cc',
        'audio_backend.cc',
        'audio_buffer.cc',
        'audio_library.cc',
        'audio_playlist.cc',
        'audio_playlist_importer.cc',
        'audio_playlist_source.cc',
        'audio_port.cc',
        'audio_region_importer.cc',
        'audio_track.cc',
        'audio_track_importer.cc',
        'audioanalyser.cc',
        'audioengine.cc',
        'audiofile_tagger.cc',
        'audiofilesource.cc',
        'audioregion.cc',
        'audiorom.cc',
        'audiosource.cc',
        'auditioner.cc',
        'automatable.cc',
        'automation.cc',
        'automation_control.cc',
        'automation_list.cc',
        'automation_watch.cc',
        # 'beatbox.cc',
        'broadcast_info.cc',
        'buffer.cc',
        'buffer_manager.cc',
        'buffer_set.cc',
        'bundle.cc',
        'butler.cc',
        'capturing_processor.cc',
        'chan_count.cc',
        'chan_mapping.cc',
        'circular_buffer.cc',
        'clip_library.cc',
        'config_text.cc',
        'control_group.cc',
        'control_protocol_manager.cc',
        'convolver.cc',
        'cycle_timer.cc',
        'data_type.cc',
        'default_click.cc',
        'debug.cc',
        'delayline.cc',
        'delivery.cc',
        'directory_names.cc',
        'disk_io.cc',
        'disk_reader.cc',
        'disk_writer.cc',
        'dsp_filter.cc',
        'ebur128_analysis.cc',
        'element_import_handler.cc',
        'element_importer.cc',
        'engine_slave.cc',
        'enums.cc',
        'event_type_map.cc',
        'export_channel.cc',
        'export_channel_configuration.cc',
        'export_failed.cc',
        'export_filename.cc',
        'export_format_base.cc',
        'export_format_manager.cc',
        'export_format_specification.cc',
        'export_formats.cc',
        'export_graph_builder.cc',
        'export_handler.cc',
        'export_preset.cc',
        'export_profile_manager.cc',
        'export_smf_writer.cc',
        'export_status.cc',
        'export_timespan.cc',
        'ffmpegfileimportable.cc',
        'ffmpegfilesource.cc',
        'file_source.cc',
        'filename_extensions.cc',
        'filesystem_paths.cc',
        'filter.cc',
        'find_session.cc',
        'fixed_delay.cc',
        'fluid_synth.cc',
        'gain_control.cc',
        'globals.cc',
        'graph.cc',
        'graphnode.cc',
        'graph_edges.cc',
        'iec1ppmdsp.cc',
        'iec2ppmdsp.cc',
        'import.cc',
        'import_pt.cc',
        'instrument_info.cc',
        'internal_return.cc',
        'internal_send.cc',
        'io.cc',
        'io_plug.cc',
        'io_processor.cc',
        'io_tasklist.cc',
        'kmeterdsp.cc',
        'ladspa_plugin.cc',
        'latent.cc',
        'legatize.cc',
        'library.cc',
        'location.cc',
        'location_importer.cc',
        'ltc_file_reader.cc',
        'ltc_slave.cc',
        'lua_api.cc',
        'luaproc.cc',
        'luascripting.cc',
        'lufs_meter.cc',
        'meter.cc',
        'midi_automation_list_binder.cc',
        'midi_buffer.cc',
        'midi_channel_filter.cc',
        'midi_clock_slave.cc',
        'midi_model.cc',
        'midi_patch_manager.cc',
        'midi_playlist.cc',
        'midi_port.cc',
        'midi_region.cc',
        'midi_ring_buffer.cc',
        'midi_scene_change.cc',
        'midi_scene_changer.cc',
        'midi_source.cc',
        'midi_state_tracker.cc',
        'midi_stretch.cc',
        'midi_track.cc',
        'midi_ui.cc',
        'mididm.cc',
        'midiport_manager.cc',
        'minibpm.cc',
        'mix.cc',
        'mixer_scene.cc',
        'mode.cc',
        'monitor_control.cc',
        'monitor_port.cc',
        'monitor_processor.cc',
        'monitor_return.cc',
        'mp3fileimportable.cc',
        'mp3filesource.cc',
        'mtc_slave.cc',
        'mtdm.cc',
        'muteable.cc',
        'mute_control.cc',
        'mute_master.cc',
        'onset_detector.cc',
        'operations.cc',
        'pan_controllable.cc',
        'pannable.cc',
        'panner.cc',
        'panner_manager.cc',
        'panner_shell.cc',
        'parameter_descriptor.cc',
        'phase_control.cc',
        'playlist.cc',
        'playlist_factory.cc',
        'playlist_source.cc',
        'plug_insert_base.cc',
        'plugin.cc',
        'plugin_insert.cc',
        'plugin_manager.cc',
        'plugin_scan_result.cc',
        'polarity_processor.cc',
        'port.cc',
        'port_engine_shared.cc',
        'port_insert.cc',
        'port_manager.cc',
        'port_set.cc',
        'presentation_info.cc',
        'process_thread.cc',
        'processor.cc',
        'quantize.cc',
        'rc_configuration.cc',
        'readable.cc',
        'readonly_control.cc',
        'raw_midi_parser.cc',
        'recent_sessions.cc',
        'record_enable_control.cc',
        'record_safe_control.cc',
        'region_factory.cc',
        'region_fx_plugin.cc',
        'resampled_source.cc',
        'region.cc',
        'return.cc',
        'reverse.cc',
        'route.cc',
        'route_group.cc',
        'route_group_member.cc',
        'rb_effect.cc',
        'rt_task.cc',
        'rt_tasklist.cc',
        'scene_change.cc',
        'search_paths.cc',
        'segment_descriptor.cc',
        'selection.cc',
        'send.cc',
        'session.cc',
        'session_bundles.cc',
        'session_butler.cc',
        'session_click.cc',
        'session_command.cc',
        'session_configuration.cc',
        'session_directory.cc',
        'session_events.cc',
        'session_export.cc',
        'session_handle.cc',
        'session_ltc.cc',
        'session_metadata.cc',
        'session_midi.cc',
        'session_object.cc',
        'session_playlists.cc',
        'session_process.cc',
        'session_rtevents.cc',
        'session_state.cc',
        'session_state_utils.cc',
        'session_time.cc',
        'session_transport.cc',
        'sidechain.cc',
        'simple_export.cc',
        'slavable.cc',
        'slavable_automation_control.cc',
        'smf_source.cc',
        'sndfile_helpers.cc',
        'sndfileimportable.cc',
        'sndfilesource.cc',
        'solo_control.cc',
        'solo_isolate_control.cc',
        'solo_mute_release.cc',
        'solo_safe_control.cc',
        'soundcloud_upload.cc',
        'source.cc',
        'source_factory.cc',
        'speakers.cc',
        'srcfilesource.cc',
        'stripable.cc',
        # 'step_sequencer.cc',
        'strip_silence.cc',
        'surround_pannable.cc',
        'surround_return.cc',
        'surround_send.cc',
        'system_exec.cc',
        'revision.cc',
        'rt_midibuffer.cc',
        'tailtime.cc',
        'template_utils.cc',
        'tempo_map_importer.cc',
        'thawlist.cc',
        'thread_buffers.cc',
        'ticker.cc',
        'track.cc',
        'transient_detector.cc',
        'transform.cc',
        'transport_fsm.cc',
        'transport_master.cc',
        'transport_master_manager.cc',
        'transpose.cc',
        'triggerbox.cc',
        'unknown_processor.cc',
        'user_bundle.cc',
        'utils.cc',
        'vca.cc',
        'vca_manager.cc',
        'velocity_control.cc',
        'video_tools_paths.cc',
        'vumeterdsp.cc',
        'worker.cc',
        'zeroconf.cc'
]

def options(opt):
    pass

def configure(conf):
    conf.load('gas')
    # we don't use hard-coded micro versions with ardour, so hard code it to zero
    autowaf.check_pkg(conf, 'aubio', uselib_store='AUBIO',
                      atleast_version='0.3.2')
    autowaf.check_pkg(conf, 'aubio', uselib_store='AUBIO4',
                      atleast_version='0.4.0', mandatory=False)
    autowaf.check_pkg(conf, 'libxml-2.0', uselib_store='XML')
    if not Options.options.no_lrdf:
        autowaf.check_pkg(conf, 'lrdf', uselib_store='LRDF',
                          atleast_version='0.4.0', mandatory=False)
    autowaf.check_pkg(conf, 'aubio', uselib_store='AUBIO',
                      atleast_version='0.3.2')
    autowaf.check_pkg(conf, 'samplerate', uselib_store='SAMPLERATE',
                      atleast_version='0.1.0')
    autowaf.check_pkg(conf, 'sigc++-2.0', uselib_store='SIGCPP',
                      atleast_version='2.0')

    autowaf.check_pkg(conf, 'lv2', uselib_store='LV2',
                      atleast_version='1.2.0', mandatory=True)
    autowaf.check_pkg(conf, 'lv2', uselib_store='LV2_1_10_0',
                      atleast_version='1.10.0', mandatory=False)
    autowaf.check_pkg(conf, 'lv2', uselib_store='LV2_1_17_2',
                      atleast_version='1.17.2', mandatory=False)
    autowaf.check_pkg(conf, 'lv2', uselib_store='LV2_1_18_6',
                      atleast_version='1.18.6', mandatory=False)
    autowaf.check_pkg(conf, 'serd-0', uselib_store='SERD',
                      atleast_version='0.14.0', mandatory=True)
    autowaf.check_pkg(conf, 'sord-0', uselib_store='SORD',
                      atleast_version='0.8.0', mandatory=True)
    autowaf.check_pkg(conf, 'sratom-0', uselib_store='SRATOM',
                      atleast_version='0.2.0', mandatory=True)
    autowaf.check_pkg(conf, 'lilv-0', uselib_store='LILV',
                      atleast_version='0.24.2', mandatory=True)
    conf.define ('LV2_SUPPORT', 1)

    conf.define ('USE_TLSF', 1)

    # non-standard LV2 extention -- TODO: add option to disable??
    if conf.is_defined ('HAVE_LV2_1_10_0'):
        conf.define ('LV2_EXTENDED', 1)

    #autowaf.check_pkg(conf, 'soundtouch', uselib_store='SOUNDTOUCH',
    #                  atleast_version='1.8.0', mandatory=False)
    autowaf.check_pkg(conf, 'cppunit', uselib_store='CPPUNIT',
                      atleast_version='1.12.0', mandatory=False)
    autowaf.check_pkg(conf, 'ogg', uselib_store='OGG', atleast_version='1.1.2')
    autowaf.check_pkg(conf, 'flac', uselib_store='FLAC',
                      atleast_version='1.2.1')
    autowaf.check_pkg(conf, 'libcurl', uselib_store='CURL',
                      atleast_version='7.0.0')

    autowaf.check_pkg(conf, 'fftw3f', uselib_store='FFTW35F',
                      atleast_version='3.3.5', mandatory=False)

    # controls whether we actually use it in preference to soundtouch
    # Note: as of 2104, soundtouch (WSOLA) has been out-of-use for years.
    conf.define('USE_RUBBERBAND', 1)

    conf.define('CURRENT_SESSION_FILE_VERSION', CURRENT_SESSION_FILE_VERSION)

    conf.check(header_name='sys/vfs.h', define_name='HAVE_SYS_VFS_H',mandatory=False)
    conf.check(header_name='sys/statvfs.h', define_name='HAVE_SYS_STATVFS_H',mandatory=False)
    conf.check(header_name='unistd.h', define_name='HAVE_UNISTD',mandatory=False)

    have_sys_ioprio = conf.check_cc(
            msg="Checking for 'ioprio_set' syscall support",
            features  = 'c',
            mandatory = False,
            execute   = False,
            fragment = "#include <sys/syscall.h>\nint main () { syscall(SYS_ioprio_set, 1, 0, 8192); return 0; }")

    if have_sys_ioprio:
            conf.define('HAVE_IOPRIO', 1)
            conf.env['HAVE_IOPRIO'] = True

    conf.write_config_header('libardour-config.h', remove=False)

    # Boost headers
    autowaf.check_header(conf, 'cxx', 'boost/scoped_ptr.hpp')
    autowaf.check_header(conf, 'cxx', 'boost/ptr_container/ptr_list.hpp')

    if conf.env['WINDOWS_VST_SUPPORT'] == True:
        conf.check(compiler='cxx', lib='gdi32', mandatory=True, uselib_store='GDI32')

def build(bld):
    # Library version (UNIX style major, minor, micro)
    # major increment <=> incompatible changes

=== libs/audiographer/wscript ===
#!/usr/bin/env python
# -*- coding: utf-8 -*-
from waflib.extras import autowaf as autowaf

# Version of this package (even if built as a child)
AUDIOGRAPHER_VERSION = '0.0.0'

# Library version (UNIX style major, minor, micro)
# major increment <=> incompatible changes
# minor increment <=> compatible changes (additions)
# micro increment <=> no interface changes
# Version history:
#   0.0.0 = 0,0,0
AUDIOGRAPHER_LIB_VERSION = '0.0.0'

def options(opt):
    pass

def configure(conf):

    autowaf.check_pkg(conf, 'cppunit', uselib_store='CPPUNIT', atleast_version='1.12.0', mandatory=False)
    autowaf.check_pkg(conf, 'sigc++-2.0', uselib_store='SIGCPP', atleast_version='2.0', mandatory=False)
    autowaf.check_pkg(conf, 'glib-2.0', uselib_store='GLIB', atleast_version='2.2', mandatory=False)
    autowaf.check_pkg(conf, 'glibmm-2.4', uselib_store='GLIBMM', atleast_version='2.14.0', mandatory=False)
    autowaf.check_pkg(conf, 'gthread-2.0', uselib_store='GTHREAD', atleast_version='2.14.0', mandatory=False)
    autowaf.check_pkg(conf, 'samplerate', uselib_store='SAMPLERATE', atleast_version='0.1.7', mandatory=False)
    autowaf.check_pkg(conf, 'sndfile', uselib_store='SNDFILE', atleast_version='1.0.18', mandatory=False)
    autowaf.check_pkg(conf, 'fftw3f', uselib_store='FFTW3F', mandatory=True)

    # Boost headers
    autowaf.check_header(conf, 'cxx', 'boost/format.hpp')

def build(bld):

    # Headers
    #bld.install_files('${INCLUDEDIR}/audiographer', bld.path.ant_glob('audiographer/*.h'))
    #bld.install_files('${INCLUDEDIR}/audiographer/general', bld.path.ant_glob('audiographer/general/*.h'))
    #bld.install_files('${INCLUDEDIR}/audiographer/sndfile', bld.path.ant_glob('audiographer/sndfile/*.h'))
    #bld.install_files('${INCLUDEDIR}/audiographer/utils', bld.path.ant_glob('audiographer/utils/*.h'))

    #bld.env['BUILD_TESTS'] = True
    bld.env['HAVE_ALL_GTHREAD'] = (bld.is_defined('HAVE_GLIB')
                                   and bld.is_defined('HAVE_GLIBMM')
                                   and bld.is_defined('HAVE_GTHREAD'))

    if bld.is_defined('HAVE_FFTW35F') and bld.env['build_target'] != 'mingw':
        bld.env['LIB_FFTW3F'] += ['fftw3f_threads']

    audiographer_sources = [
        'private/gdither/gdither.cc',
        'private/limiter/limiter.cc',
        'src/general/sndfile.cc',
        'src/general/sample_format_converter.cc',
        'src/routines.cc',
        'src/debug_utils.cc',
        'src/general/analyser.cc',
        'src/general/broadcast_info.cc',
        'src/general/demo_noise.cc',
        'src/general/loudness_reader.cc',
        'src/general/limiter.cc',
        'src/general/normalizer.cc'
        ]
    if bld.is_defined('HAVE_SAMPLERATE'):
        audiographer_sources += [ 'src/general/sr_converter.cc' ]

    if bld.is_defined ('INTERNAL_SHARED_LIBS'):
        audiographer              = bld.shlib(features = 'c cxx cshlib cxxshlib', source=audiographer_sources)
        # macros for this shared library
        audiographer.defines      = [ 'LIBAUDIOGRAPHER_DLL_EXPORTS=1' ]
    else:
        audiographer              = bld.stlib(features = 'c cxx cstlib cxxstlib', source=audiographer_sources)
        audiographer.cxxflags     = [ bld.env['compiler_flags_dict']['pic'] ]
        audiographer.cflags       = [ bld.env['compiler_flags_dict']['pic'] ]
        audiographer.defines      = []

    audiographer.name           = 'libaudiographer'
    audiographer.target         = 'audiographer'
    audiographer.export_includes = ['.', './src']
    audiographer.includes       = ['.', './src','../ardour','../temporal','../evoral']
    audiographer.uselib         = 'GLIB GLIBMM GTHREAD SAMPLERATE SNDFILE FFTW3F VAMPSDK VAMPHOSTSDK XML'
    audiographer.use            = 'libpbd'
    audiographer.vnum           = AUDIOGRAPHER_LIB_VERSION
    audiographer.install_path   = bld.env['LIBDIR']

    if bld.env['BUILD_TESTS'] and bld.is_defined('HAVE_CPPUNIT'):
        # Unit tests
        obj              = bld(features = 'cxx cxxprogram')
        obj.source       = '''
                tests/test_runner.cc
                tests/type_utils_test.cc
                tests/utils/identity_vertex_test.cc
                tests/general/interleaver_test.cc
                tests/general/deinterleaver_test.cc
                tests/general/interleaver_deinterleaver_test.cc
                tests/general/chunker_test.cc
                tests/general/sample_format_converter_test.cc
                tests/general/peak_reader_test.cc
                tests/general/normalizer_test.cc
                tests/general/silence_trimmer_test.cc
        '''

        if bld.is_defined('HAVE_ALL_GTHREAD'):
            obj.source += '''
                    tests/general/threader_test.cc
            '''

        if bld.is_defined('HAVE_SNDFILE'):
            obj.source += '''
                    tests/sndfile/tmp_file_test.cc
            '''

        if bld.is_defined('HAVE_SAMPLERATE'):
            obj.source += '''
                    tests/general/sr_converter_test.cc
            '''

        obj.use          = 'libaudiographer'
        obj.uselib       = 'CPPUNIT GLIBMM SAMPLERATE SNDFILE FFTW3F VAMPSDK VAMPHOSTSDK'
        obj.target       = 'run-tests'
        obj.name         = 'audiographer-unit-tests'
        obj.install_path = ''

=== libs/fst/wscript ===
#!/usr/bin/env python
import os
import sys
import re

# needed for code used from libardour
I18N_PACKAGE = 'ardour'

def options(opt):
    pass

def configure(conf):
    if conf.env['WINDOWS_VST_SUPPORT'] == True:
        conf.check(compiler='cxx', lib='gdi32', mandatory=True, uselib_store='GDI32')

def build(bld):
    if bld.is_defined('VST3_SUPPORT'):
        obj = bld (features = 'cxx c cxxprogram')
        obj.source    = 'vst3-scanner.cc'
        obj.target    = 'ardour-vst3-scanner'
        obj.includes  = [ '../pbd/', '../ardour/', '../vst3/', '..' ]
        obj.defines   = [
            'VST3_SCANNER_APP',
            'VERSIONSTRING="' + bld.env['VERSION'] + '"',
            'PACKAGE="' + I18N_PACKAGE + bld.env['MAJOR'] + '"',
            'LIBARDOUR="' + bld.env['lwrcase_dirname'] + '"',
            'LOCALEDIR="' + os.path.join(os.path.normpath(bld.env['DATADIR']), 'locale') + '"',
            ]
        obj.use = [ 'libpbd' ]
        obj.uselib = 'GIOMM DL UUID ARCHIVE CURL XML'

        if bld.is_defined('HAVE_USB'):
            obj.uselib += ' USB'
        if sys.platform == 'darwin':
            obj.uselib += ' OSX'
        if bld.env['build_target'] == 'mingw':
            obj.uselib += ' GDI32'
            obj.linkflags = ['-mwindows']

        if re.search ("bsd", sys.platform) != None:
            obj.defines.append('_POSIX_C_SOURCE=200809L')
            obj.defines.append('_XOPEN_SOURCE=700')

        obj.install_path = os.path.join(bld.env['LIBDIR'])

    if bld.is_defined('WINDOWS_VST_SUPPORT') or bld.is_defined('LXVST_SUPPORT') or bld.is_defined ('MACVST_SUPPORT'):
        obj = bld (features = 'cxx c cxxprogram')
        obj.source = ( 'vst2-scanner.cc' )
        obj.target = 'ardour-vst-scanner'
        if bld.is_defined('WINDOWS_VST_SUPPORT'):
            bld (features = 'c', name='vstwin', source='vstwin.c', uselib = 'GIOMM', includes  = [ '../pbd/', '../ardour/', '.' ])
            obj.uselib = ['GIOMM', 'DL', 'GDI32', 'ARCHIVE', 'CURL', 'XML']
            obj.linkflags = ['-mwindows']
            obj.use = [ 'libpbd', 'libtemporal', 'libevoral', 'vstwin' ]
        else:
            obj.uselib = ['GIOMM', 'DL', 'OSX', 'ARCHIVE', 'CURL', 'XML' ]
            obj.use = [ 'libpbd', 'libtemporal', 'libevoral' ]

        if bld.is_defined('HAVE_USB'):
            obj.uselib += ['USB']

        obj.includes  = [ '../pbd/', '../ardour/', '.' ]
        obj.defines = [
            '_POSIX_SOURCE',
            'USE_WS_PREFIX',
            'VST_SCANNER_APP',
            'PACKAGE="' + I18N_PACKAGE + bld.env['MAJOR'] + '"',
            'LIBARDOUR="' + bld.env['lwrcase_dirname'] + '"',
            'VERSIONSTRING="' + bld.env['VERSION'] + '"',
            ]
        if re.search ("bsd", sys.platform) != None:
            obj.defines.append('_POSIX_C_SOURCE=200809')
            obj.defines.append('_XOPEN_SOURCE=700')

        obj.install_path = os.path.join(bld.env['LIBDIR'])

=== libs/gtkmm2ext/wscript ===
#!/usr/bin/env python
from waflib.extras import autowaf as autowaf
import os
import sys

# Version of this package (even if built as a child)
MAJOR = '0'
MINOR = '8'
MICRO = '3'
GTKMM2EXT_VERSION = "%s.%s.%s" % (MAJOR, MINOR, MICRO)

# Library version (UNIX style major, minor, micro)
# major increment <=> incompatible changes
# minor increment <=> compatible changes (additions)
# micro increment <=> no interface changes
GTKMM2EXT_LIB_VERSION = '0.8.3'

I18N_PACKAGE = 'gtkmm2ext3'

gtkmm2ext_sources = [
        'actions.cc',
        'action_model.cc',
        'application.cc',
        'bindings.cc',
        'cairo_packer.cc',
        'cairo_theme.cc',
        'cairo_widget.cc',
        'cell_renderer_color_selector.cc',
        'cell_renderer_pixbuf_multi.cc',
        'cell_renderer_pixbuf_toggle.cc',
        'colors.cc',
        'colorspace.cc',
        'cursors.cc',
        'debug.cc',
        'dndtreeview.cc',
        'emscale.cc',
        'gtk_ui.cc',
        'gtkapplication.c',
        'keyboard.cc',
        'menu_elems.cc',
        'persistent_tooltip.cc',
        'textviewer.cc',
        'treeutils.cc',
        'utils.cc',
        'visibility_tracker.cc',
        'window_proxy.cc',
        'window_title.cc'
]

def options(opt):
    pass

def configure(conf):
    if not conf.is_defined('YTK'):
        autowaf.check_pkg(conf, 'gtkmm-2.4', uselib_store='GTKMM', atleast_version='2.8')
        autowaf.check_pkg(conf, 'gtk+-2.0', uselib_store='GTK', atleast_version='2.12.1')

def build(bld):
    # operate on copy to avoid adding sources twice
    sources = list(gtkmm2ext_sources)

    if bld.is_defined ('INTERNAL_SHARED_LIBS'):
        obj              = bld.shlib(features = 'c cxx cshlib cxxshlib', source=sources)
        # defines for this library
        obj.defines      = [ 'LIBGTKMM2EXT_DLL_EXPORTS', 'ABSTRACT_UI_EXPORTS' ]
    else:
        obj              = bld.stlib(features = 'c cxx cstlib cxxstlib', source=sources)
        obj.cxxflags     = [ bld.env['compiler_flags_dict']['pic'] ]
        obj.defines      = [ ]

    obj.export_includes = ['.']
    obj.includes     = ['.']
    obj.name         = 'libgtkmm2ext'
    obj.target       = 'gtkmm2ext'
    obj.uselib       = 'XML CAIROMM PANGOMM'
    obj.use          = [ 'libpbd' ]
    obj.vnum         = GTKMM2EXT_LIB_VERSION
    obj.install_path = bld.env['LIBDIR']
    obj.defines     += [
                    'PACKAGE="' + I18N_PACKAGE + '"',
                    'LOCALEDIR="' + os.path.join(
                            os.path.normpath(bld.env['DATADIR']), 'locale') + '"']
    if bld.is_defined('YTK'):
        obj.use    += [ 'libydk', 'libydkmm', 'libytkmm' ]
        obj.uselib += ' GLIBMM GIOMM'
    else:
        obj.uselib += ' GTKMM GTK'
    if sys.platform == 'darwin':
        obj.source += ['gtkapplication_quartz.mm', 'nsglview.mm']
        obj.uselib += ' OSX'
    else:
        obj.source += ['gtkapplication_x11.c']

    # i18n
    if bld.is_defined('ENABLE_NLS'):
        mo_files = bld.path.ant_glob('po/*.mo')
        for mo in mo_files:
            lang = os.path.basename(mo.srcpath()).replace('.mo', '')
            bld.install_as (os.path.join(os.path.normpath(bld.env['LOCALEDIR']), lang, 'LC_MESSAGES', I18N_PACKAGE + '.mo'),
                            mo)

def i18n(bld):
    autowaf.build_i18n(bld, '.', 'libs/gtkmm2ext', I18N_PACKAGE, gtkmm2ext_sources,
                       'Paul Davis')

def i18n_pot(bld):
    autowaf.build_i18n_pot(bld, '.', 'libs/gtkmm2ext', I18N_PACKAGE, gtkmm2ext_sources,
                       'Paul Davis')

def i18n_po(bld):
    autowaf.build_i18n_po(bld, '.', 'libs/gtkmm2ext', I18N_PACKAGE, gtkmm2ext_sources,
                       'Paul Davis')

def i18n_mo(bld):
    autowaf.build_i18n_mo(bld, '.', 'libs/gtkmm2ext', I18N_PACKAGE, gtkmm2ext_sources,
                       'Paul Davis')

=== libs/pbd/wscript ===
#!/usr/bin/env python
from waflib.extras import autowaf as autowaf
from waflib import Options
from waflib import TaskGen
import sys

# Version of this package (even if built as a child)
MAJOR = '4'
MINOR = '1'
MICRO = '0'
LIBPBD_VERSION = "%s.%s.%s" % (MAJOR, MINOR, MICRO)

# Library version (UNIX style major, minor, micro)
# major increment <=> incompatible changes
# minor increment <=> compatible changes (additions)
# micro increment <=> no interface changes
LIBPBD_LIB_VERSION = '4.1.0'
LIBPBD_MAJOR_VERSION = '4'

I18N_PACKAGE = 'libpbd4'

libpbd_sources = [
    'basename.cc',
    'base_ui.cc',
    'boost_debug.cc',
    'cartesian.cc',
    'command.cc',
    'configuration_variable.cc',
    'convert.cc',
    'controllable.cc',
    'crossthread.cc',
    'cpus.cc',
    'debug.cc',
    'demangle.cc',
    'downloader.cc',
    'enumwriter.cc',
    'event_loop.cc',
    'enums.cc',
    'epa.cc',
    'error.cc',
    'ffs.cc',
    'file_archive.cc',
    'file_utils.cc',
    'fpu.cc',
    'glib_event_source.cc',
    'id.cc',
    'inflater.cc',
    'locale_guard.cc',
    'localtime_r.cc',
    'malign.cc',
    'md5.cc',
    'microseconds.cc',
    'mountpoint.cc',
    'openuri.cc',
    'pathexpand.cc',
    'pbd.cc',
    'pcg_rand.cc',
    'pool.cc',
    'progress.cc',
    'property_list.cc',
    'pthread_utils.cc',
    'reallocpool.cc',
    'receiver.cc',
    'resource.cc',
    'search_path.cc',
    'semutils.cc',
    'shortpath.cc',
    'signals.cc',
    'spinlock.cc',
    'stacktrace.cc',
    'stateful_diff_command.cc',
    'stateful.cc',
    'string_convert.cc',
    'strreplace.cc',
    'strsplit.cc',
    'system_exec.cc',
    'textreceiver.cc',
    'timer.cc',
    'timing.cc',
    'tlsf.cc',
    'transmitter.cc',
    'undo.cc',
    'utf8_utils.cc',
    'uuid.cc',
    'whitespace.cc',
    'xml++.cc',
]

def options(opt):
    opt.add_option('--ppc', action='store_true', default=False, dest='ppc',
                   help='Compile with -arch ppc (OS X ONLY)')
    opt.add_option('--dist-target', type='string', default='auto', dest='dist_target',
                    help='Specify the target for cross-compiling [auto,none,x86,i386,i686,x86_64,tiger,leopard,mingw,msvc]')
    opt.add_option('--internal-shared-libs', action='store_true', default=True, dest='internal_shared_libs',
                   help='Build internal libs as shared libraries')

def configure(conf):
    autowaf.check_pkg(conf, 'libxml-2.0', uselib_store='XML')
    autowaf.check_pkg(conf, 'sigc++-2.0', uselib_store='SIGCPP', atleast_version='2.0')
    autowaf.check_pkg(conf, 'libcurl', uselib_store='CURL', atleast_version='7.0.0', mandatory=True)
    autowaf.check_pkg(conf, 'libarchive', uselib_store='ARCHIVE', atleast_version='3.0.0', mandatory=True)
    autowaf.check_pkg(conf, 'glibmm-2.4', uselib_store='GLIBMM', atleast_version='2.32.0', mandatory=True)
    autowaf.check_pkg(conf, 'giomm-2.4', uselib_store='GIOMM', atleast_version='2.2', mandatory=True)

    conf.check(header_name='execinfo.h', define_name='HAVE_EXECINFO',mandatory=False)
    conf.check(header_name='unistd.h', define_name='HAVE_UNISTD',mandatory=False)
    if not Options.options.ppc:
        conf.check_cc(
                msg="Checking for function 'posix_memalign' in stdlib.h",
                fragment = "#define _XOPEN_SOURCE 600\n #include <stdlib.h>\n int main(void) { return posix_memalign (0, 64, 1); }\n",
                define_name='HAVE_POSIX_MEMALIGN', execute = False, mandatory=False)
    conf.check_cc(
            msg="Checking for function 'getmntent' in mntent.h",
            fragment = "#include <mntent.h>\n int main(void) { return (int)getmntent(0); }\n",
            define_name='HAVE_GETMNTENT', execute = False, mandatory=False)
    conf.check_cc(
            msg="Checking for function 'localtime_r' in time.h",
            fragment = "#include <time.h>\n int main(void) { return NULL == localtime_r(NULL, NULL); }\n",
            define_name='HAVE_LOCALTIME_R', execute = False, mandatory=False)

    # Boost headers
    if Options.options.dist_target == 'mingw':
        conf.check(compiler='cxx',
                   lib='ole32',
                   mandatory=True,
                   uselib_store='OLE')

    if Options.options.internal_shared_libs:
        conf.define('INTERNAL_SHARED_LIBS', 1)

    conf.write_config_header('libpbd-config.h', remove=False)

def build(bld):
    if not autowaf.is_child():  # Building standalone, install dev stuff
        # C++ Headers
        includedir = '${INCLUDEDIR}/pbd-%s/pbd' % LIBPBD_MAJOR_VERSION
        bld.install_files(includedir, bld.path.ant_glob('pbd/*.h'))
        bld.install_files(includedir, 'build/pbd/signals_generated.h')

        # Pkgconfig file
        autowaf.build_pc(bld, 'libpbd', LIBPBD_VERSION, LIBPBD_MAJOR_VERSION, [],
                         {'LIBPBD_VERSION' : LIBPBD_VERSION,
                          'LIBPBD_MAJOR_VERSION' : LIBPBD_MAJOR_VERSION})

    # Make signals_generated.h using signals.py
    bld(rule = sys.executable + ' ${SRC} ${TGT}', source = 'pbd/signals.py', target = 'pbd/signals_generated.h', name="pbdsignals", features='use', ext_out=['.h'])

    # Library
    if bld.is_defined ('INTERNAL_SHARED_LIBS'):
        obj              = bld.shlib(features = 'cxx cxxshlib', source=libpbd_sources)
        obj.defines = [ 'LIBPBD_DLL_EXPORTS=1' ]
    else:
        obj              = bld.stlib(features = 'cxx cxxstlib', source=libpbd_sources)
        obj.cxxflags     = [ bld.env['compiler_flags_dict']['pic'] ]
        obj.cflags       = [ bld.env['compiler_flags_dict']['pic'] ]
        obj.defines      = []

    if bld.is_defined('DEBUG_RT_ALLOC'):
        obj.source += 'debug_rt_alloc.c'

    obj.export_includes = ['.']
    obj.includes     = ['.']
    obj.name         = 'libpbd'
    obj.target       = 'pbd'
    obj.use          = 'pbdsignals'
    obj.uselib       = 'GLIBMM SIGCPP XML UUID SNDFILE GIOMM ARCHIVE CURL'
    if sys.platform == 'darwin':
        TaskGen.task_gen.mappings['.mm'] = TaskGen.task_gen.mappings['.cc']
        if 'cocoa_open_uri.mm' not in obj.source:
            obj.source += [ 'cocoa_open_uri.mm' ]
        obj.uselib += ' OSX'
    obj.vnum         = LIBPBD_LIB_VERSION
    obj.install_path = bld.env['LIBDIR']
    obj.defines     += [ 'PACKAGE="' + I18N_PACKAGE + '"' ]

    if sys.platform.startswith('netbsd'):
        obj.linkflags = '-lexecinfo'

    if bld.env['build_target'] == 'x86_64':
        obj.defines += [ 'USE_X86_64_ASM' ]
    if bld.env['build_target'] == 'mingw':
        obj.defines += [ 'NO_POSIX_MEMALIGN' ]
        obj.source += [ 'windows_special_dirs.cc' ]
        obj.source += [ 'windows_timer_utils.cc' ]
        obj.source += [ 'windows_mmcss.cc' ]
        obj.uselib += ' OLE'

    if bld.env['BUILD_TESTS'] and bld.is_defined('HAVE_CPPUNIT'):
        # Unit tests
        testobj              = bld(features = 'cxx cxxprogram')
        testobj.source       = '''
                test/testrunner.cc
                test/xpath.cc
                test/mutex_test.cc
                test/scalar_properties.cc
                test/signals_test.cc
                test/string_convert_test.cc
                test/convert_test.cc
                test/filesystem_test.cc
                test/natsort_test.cc
                test/rcu_test.cc
                test/reallocpool_test.cc
                test/xml_test.cc
                test/test_common.cc
        '''.split()
        if bld.env['build_target'] == 'mingw':
            testobj.source += [ 'test/windows_timer_utils_test.cc' ]
        testobj.target       = 'run-tests'
        testobj.includes     = obj.includes + ['test', '../pbd']
        testobj.uselib       = 'GLIBMM SIGCPP XML UUID SNDFILE GIOMM ARCHIVE CURL XML OSX CPPUNIT'
        testobj.use          = 'libpbd'
        testobj.name         = 'libpbd-tests'
        testobj.defines      = [ 'PACKAGE="' + I18N_PACKAGE + '"' ]
        if sys.platform != 'darwin' and bld.env['build_target'] != 'mingw':
            testobj.lib      = ['rt', 'dl']

=== tools/sanity_check/wscript ===
#!/usr/bin/env python

def options(opt):
    pass

def configure(conf):
    pass

def build(bld):
    obj = bld(features = 'cxx cxxprogram')
    obj.includes = [ '.' ]
    obj.source = [ 'main.cpp', 'systemtest.cpp' ]
    obj.target = 'sanityCheck'
    obj.name = 'sanityCheck'
    obj.install_path = bld.env['LIBDIR']

=== libs/plugins/reasonablesynth.lv2/wscript ===
#!/usr/bin/env python
import re
import waflib.extras.autowaf as autowaf
import waflib.Utils as Utils

def options(opt):
    pass

def configure(conf):
    autowaf.check_pkg(conf, 'lv2', atleast_version='1.0.0',
                      uselib_store='LV2_1_0_0')

def build(bld):
    bundle = 'reasonablesynth.lv2'
    module_pat = re.sub('^lib', '', bld.env.cshlib_PATTERN)
    module_ext = module_pat[module_pat.rfind('.'):]

    # Build RDF files
    for i in ['manifest.ttl', 'reasonablesynth.ttl']:
        obj = bld(features='subst')
        obj.source = i + '.in'
        obj.target = '../../LV2/%s/%s' % (bundle, i)
        obj.install_path = '${LV2DIR}/%s' % bundle
        obj.chmod = Utils.O644
        obj.LIB_EXT = module_ext

    # Build plugin library
    obj = bld(features     = 'c cshlib',
              source       = 'lv2.c',
              dep_files    = 'rsynth.c',
              name         = 'reasonablesynth',
              target       = '../../LV2/%s/reasonablesynth' % bundle,
              install_path = '${LV2DIR}/%s' % bundle,
              use          = 'LV2_1_0_0'
              )
    obj.env.cshlib_PATTERN = module_pat

# vi:set ts=4 sw=4 et:

=== libs/surfaces/launchpad_pro/wscript ===
#!/usr/bin/env python
from waflib.extras import autowaf as autowaf
import os

def options(opt):
    pass

def configure(conf):
    autowaf.check_pkg(conf, 'pangomm-1.4', uselib_store='PANGOMM', atleast_version='1.4', mandatory=True)
    autowaf.check_pkg(conf, 'cairomm-1.0', uselib_store='CAIROMM', atleast_version='1.8.4', mandatory=True)

def build(bld):
    obj = bld(features = 'cxx cxxshlib')
    obj.source = '''
	lppro.cc
	interface.cc
	gui.cc
    '''
    obj.defines      = [ 'PACKAGE="ardour_launchpad_pro"' ]
    obj.defines     += [ 'ARDOURSURFACE_DLL_EXPORTS' ]
    obj.defines     += [ 'VERSIONSTRING="' + bld.env['VERSION'] + '"' ]
    obj.includes     = ['.', '..', './launchpad_pro']
    obj.name         = 'libardour_launchpad_pro'
    obj.target       = 'ardour_launchpad_pro'
    obj.uselib       = 'CAIROMM PANGOMM USB SIGCPP XML OSX'
    obj.use          = 'libardour libardour_cp libardour_midisurface libgtkmm2ext libpbd libevoral libcanvas libtemporal'
    obj.install_path = os.path.join(bld.env['LIBDIR'], 'surfaces')
    if bld.is_defined('YTK'):
        obj.use    += ' libytkmm'
        obj.uselib += ' GLIBMM GIOMM'
    else:
        obj.uselib += ' GTKMM'

=== libs/tk/ztk/wscript ===
#!/usr/bin/env python
from waflib.extras import autowaf as autowaf
import sys

# Version of this package (even if built as a child)
MAJOR = '2'
MINOR = '14'
MICRO = '0'
LIBZTK_VERSION = "%s.%s.%s" % (MAJOR, MINOR, MICRO)

I18N_PACKAGE = 'libztk'

libztk_sources = [
    'atk-enum-types.c',
    'atkaction.c',
    'atkcomponent.c',
    'atkdocument.c',
    'atkeditabletext.c',
    'atkgobjectaccessible.c',
    'atkhyperlink.c',
    'atkhyperlinkimpl.c',
    'atkhypertext.c',
    'atkimage.c',
    'atkmisc.c',
    'atknoopobject.c',
    'atknoopobjectfactory.c',
    'atkobject.c',
    'atkobjectfactory.c',
    'atkplug.c',
    'atkprivate.c',
    'atkrange.c',
    'atkregistry.c',
    'atkrelation.c',
    'atkrelationset.c',
    'atkselection.c',
    'atksocket.c',
    'atkstate.c',
    'atkstateset.c',
    'atkstreamablecontent.c',
    'atktable.c',
    'atktablecell.c',
    'atktext.c',
    'atkutil.c',
    'atkvalue.c',
    'atkversion.c',
    'atkwindow.c',
]

def options(opt):
    pass

def configure(conf):
    if conf.is_defined('YTK'):
        autowaf.check_pkg(conf, 'glib-2.0', uselib_store='GLIB', atleast_version='2.28', mandatory=True)
        autowaf.check_pkg(conf, 'gobject-2.0', uselib_store='GOBJECT', mandatory=True)

def build(bld):
    if not bld.is_defined('YTK'):
        return

    obj = bld.shlib(features = 'c cshlib', source = libztk_sources)
    obj.cflags          = [ bld.env['compiler_flags_dict']['pic'] ]
    obj.export_includes = ['ztk']
    obj.includes        = ['.', '..', 'ztk', 'ztk/atk']
    obj.name            = 'libztk'
    obj.target          = 'ztk'
    obj.use             = 'libztk-pixbuf'
    obj.uselib          = 'GLIB GOBJECT'
    obj.defines         = [ 'HAVE_CONFIG_H', '_LARGEFILE64_SOURCE', '_REENTRANT', 'G_LOG_DOMAIN="Gdk"', 'ATK_COMPILATION', '_FILE_OFFSET_BITS=64',
                            'G_DISABLE_SINGLE_INCLUDES', 'ATK_DISABLE_SINGLE_INCLUDES', 'G_DISABLE_DEPRECATED', 'ATK_DISABLE_DEPRECATED',
                            'ATK_LOCALEDIR=""'
                          ]
    obj.vnum            = LIBZTK_VERSION
    obj.install_path    = bld.env['LIBDIR']

    if sys.platform == 'darwin':
        obj.uselib += ' OSX' # -framework Cocoa -framework CoreFoundation -framework ApplicationServices

=== debian/changelog ===
ardour (1:8.10.0+ds-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 01 Dec 2024 07:39:04 -0800

=== debian/control ===
Source: ardour
Section: sound
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Adrian Knoth <adi@drcomp.erfurt.thur.de>,
           Jaromír Mikeš <mira.mikes@seznam.cz>,
           IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
           Dennis Braun <d_braun@kabelmail.de>
Build-Depends: debhelper-compat (= 13),
               dh-buildinfo,
               gettext,
               intltool,
               itstool,
# TODO: get rid of vendoring
               ladspa-sdk,
               libarchive-dev,
               libasound2-dev [linux-any],
               libaubio-dev,
               libboost-dev,
               libcairomm-1.0-dev,
               libcurl4-gnutls-dev,
               libcwiid-dev [linux-any],
               libdbus-1-dev,
               libfftw3-dev,
               libfluidsynth-dev,
               libglibmm-2.4-dev,
               libhidapi-dev,
               libjack-dev,
               liblilv-dev,
               liblo-dev,
               liblrdf0-dev,
               libltc-dev,
               libpangomm-1.4-dev,
               libpulse-dev,
               libqm-dsp-dev,
               libreadline-dev,
               librubberband-dev,
               libsamplerate0-dev,
               libsigc++-2.0-dev,
               libsndfile1-dev,
# TODO: get rid of vendoring
               libsuil-dev,
               libtag1-dev,
               libusb-1.0-0-dev,
               libwebsockets-dev,
               libxinerama-dev,
               libxrandr-dev,
               lv2-dev,
               python3,
               vamp-plugin-sdk
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://ardour.org
Vcs-Git: https://salsa.debian.org/multimedia-team/ardour.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/ardour

Package: ardour
Architecture: any
Depends: ardour-data (<< ${source:Upstream-Version}.0~),
         ardour-data (>= ${source:Version}),
         ardour-lv2-plugins (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         ardour-video-timeline
# Recommends: ardour-video-timeline
Suggests: ${shlibs:Suggests}
Replaces: ardour3 (<< 1:3.5)
Breaks: ardour3 (<< 1:3.5)
Description: the digital audio workstation
 Ardour is a multichannel hard disk recorder (HDR) and digital audio
 workstation (DAW).  It can be used to control, record, edit and run
 complex audio setups.
 .
 Ardour supports pro-audio interfaces
 through the ALSA project, which provides high quality, well designed
 device drivers and API's for audio I/O under Linux. Any interface
 supported by ALSA can be used with Ardour. This includes the
 all-digital 26 channel RME Hammerfall, the Midiman Delta 1010 and many
 others.
 .
 Ardour has support for 24 bit samples
 using floating point internally, non-linear editing with unlimited undo,
 a user-configurable mixer, MTC master/slave capabilities, MIDI hardware
 control surface compatibility.
 .
 It supports MIDI
 Machine Control, and so can be controlled from any MMC controller and
 many modern digital mixers.
 .
 Ardour contains a
 powerful multitrack audio editor/arranger that is completely
 non-destructive and capable of all standard non-linear editing
 operations (insert, replace, delete, move, trim, select,
 cut/copy/paste). The editor has unlimited undo/redo capabilities and can
 save independent "versions" of a track or an entire piece
 .
 Ardour's editor supports the community-developed LADSPA
 plugin standard.  Arbitrary chains of plugins can be attached to any
 portion of a track.  Every mixer strip can have any number of inputs
 and outputs, not just mono, stereo or 5.1.  An N-way panner is
 included, with support for various panning models.  Pre- and post-fader
 sends exist, each with their own gain and pan controls.  Every mixer
 strip acts as its own bus, and thus the bus count in Ardour is
 unlimited.  You can submix any number of strips into another
 strip.
 .
 Ardour's channel capacity is limited only
 by the number on your audio interface and the ability of your disk
 subsystem to stream the data back and forth.
 .
 JACK
 (the JACK Audio Connection Kit) is used for all audio I/O, permitting
 data to be exchanged in perfect samplesync with other applications
 and/or hardware audio interfaces.
 .
 Ardour is
 sample rate and size neutral - any hardware formats from 8 to 32 bits,
 and rates from 8kHz to 192kHz.  Internal processing in 32/64 bit IEEE
 floating point format.
 .
 Further information can be
 found at <https://ardour.org/>.

Package: ardour-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: ardour
Breaks: ardour (<= 1:4.2~dfsg-1), ardour3 (<< 1:3.5)
Replaces: ardour (<= 1:4.2~dfsg-1), ardour3 (<< 1:3.5)
Description: digital audio workstation (data)
 Ardour is a multichannel hard disk recorder (HDR) and digital audio
 workstation (DAW).  It can be used to control, record, edit and run
 complex audio setups.
 .
 This package contains the architecture-independent data files.

Package: ardour-video-timeline
Architecture: all
Multi-Arch: foreign
Depends: ffmpeg (>= 7:1.2),
         harvid (>= 0.7.0),
         xjadeo (>= 0.6.4),
         ${misc:Depends}
Description: digital audio workstation - video timeline
 Ardour is a multichannel hard disk recorder (HDR) and digital audio
 workstation (DAW).  It can be used to control, record, edit and run
 complex audio setups.
 .
 This is a dependency package to add video timeline capabilities to ardour.

Package: ardour-lv2-plugins
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: lv2-plugin
Description: digital audio workstation - lv2 plugins set
 Ardour is providing a set of LV2 plugins:
  * a-comp.lv2
    - a compressor (mono & stereo versions)
  * a-exp.lv2
    - an expander (mono & stereo versions)
  * a-delay.lv2
    - a delay (mono version)
  * a-eq.lv2
    - an equaliser (mono version)
  * a-reverb.lv2
    - a reverberation (stereo version)
  * a-fluidsynth.lv2
    - a SF2 player (stereo version)
  * reasonablesynth.lv2
    - a reasonably good piano synth (stereo version)
 .
 This package allows these to be used by other hosts as well.

=== debian/watch ===
version=4
opts=\
  dversionmangle=auto,\
  filenamemangle=s/.+\/Ardour-(\d\S*)\.tar\.bz2/ardour-$1\.tar\.bz2/,\
  uversionmangle=s/-pre/~pre/;s/-rc/~rc/,\
  repacksuffix=+ds \
  https://community.ardour.org/src/ .*/Ardour-(\d\S*)\.tar\.bz2
